#!/bin/sh
# Ve2mrx + pcmike modded for v.24, cleanup and .htpasswd
# 2008-12-21c

#####check, if second instance is running#####
if [ -f ./data/custom.pid ]; then
  pid=$(cat ./data/custom.pid)
  rm ./data/custom.pid
fi
if [ "$pid" = "" ]; then
  pid="wrtbwlog_nopid"
fi
echo $$ > ./data/custom.pid

if [ "$(ps|grep $pid|grep custom.sh)" != "" ]; then
  kill $pid
fi

#####load config data#####
if [ -f ./data/config ]; then
  destbc=$(cat "./data/config"|grep "wrt_destbc"|cut -d '=' -f2)
  pathbc=$(cat "./data/config"|grep "wrt_pathbc"|cut -d '=' -f2)
  ftpbac=$(cat "./data/config"|grep "wrt_ftpbac"|cut -d '=' -f2)
  usrbac=$(cat "./data/config"|grep "wrt_usrbac"|cut -d '=' -f2)
  pasbac=$(cat "./data/config"|grep "wrt_pasbac"|cut -d '=' -f2)
  rotbac=$(cat "./data/config"|grep "wrt_rotbac"|cut -d '=' -f2)
fi

#####if no config data, use default values#####
if [ "$destbc" = "" ]; then
  destbc="FTP"
fi

if [ "$pathbc" = "" ]; then
  pathbc="/tmp/"
fi
  
if [ "$ftpbac" = "" ]; then
  ftpbac="192.168.1.100"
fi
  
if [ "$usrbac" = "" ]; then
  usrbac="wrt54g"
fi
  
if [ "$pasbac" = "" ]; then
  pasbac="wrt54g"
fi
  
if [ "$rotbac" = "" ]; then
  rotbac="/"
fi

#####remove previous custom version#####
# Ve2mrx mod for  cleanup + .htpasswd
if [ -d ./bwlog/data ]; then
  rm ./bwlog/data/* 2> /dev/null
  rm ./bwlog/data/.htpasswd 2> /dev/null
  rmdir ./bwlog/data 2> /dev/null
fi

if [ -d ./bwlog ]; then
  rm ./bwlog/* 2> /dev/null
  rm ./bwlog/.htpasswd 2> /dev/null
  rmdir ./bwlog 2> /dev/null
fi

if [ -f ./bwdata.tgz ]; then
  rm ./bwdata.tgz 2> /dev/null
fi

#####create new custom version#####
# Ve2mrx mod for  .htpasswd
mkdir ./bwlog 2> /dev/null
mkdir ./bwlog/data 2> /dev/null

cp ./* ./bwlog 2> /dev/null
cp ./.htpasswd ./bwlog 2> /dev/null
cp ./data/config ./bwlog/data 2> /dev/null

#####save custom version#####
# Ve2mrx+ pcmike mod for cleanup + v.24 
#####tar file#####
if [ -f ./wrtbwlog_cust.tgz ]; then
  rm wrtbwlog_cust.tgz 2> /dev/null
fi
if [ -f ./wrtbwlog_cust.tar ]; then
  rm wrtbwlog_cust.tar 2> /dev/null
fi
if [ -f ./wrtbwlog_cust.tar.gz ]; then
  rm wrtbwlog_cust.tar.gz 2> /dev/null
fi
tar -cf wrtbwlog_cust.tar ./bwlog/
gzip wrtbwlog_cust.tar
if [ -f ./wrtbwlog_cust.tar ]; then
  rm wrtbwlog_cust.tar 2> /dev/null
fi
mv wrtbwlog_cust.tar.gz wrtbwlog_cust.tgz
if [ "$destbc" = "FLASH" ]; then
  #####copy to FLASH#####
  if [ -f ${pathbc}wrtbwlog_cust.tgz ]; then
    rm ${pathbc}wrtbwlog_cust.tgz
  fi
  cp ./wrtbwlog_cust.tgz ${pathbc}wrtbwlog_cust.tgz
else
  #####copy to FTP#####
  killall ftpput 2> /dev/null
  sleep 1
  ftpput -u "$usrbac" -p "$pasbac" "$ftpbac" "$rotbac"wrtbwlog_cust.tgz wrtbwlog_cust.tgz & 2> /dev/null
  sleep 15
  killall ftpput 2> /dev/null
fi

#####remove custom version#####
if [ -d ./bwlog/data ]; then
  rm ./bwlog/data/*
  rm ./bwlog/.htpasswd 2> /dev/null
  rmdir ./bwlog/data
fi

if [ -d ./bwlog ]; then
  rm ./bwlog/*
  rm ./bwlog/.htpasswd 2> /dev/null
  rmdir ./bwlog
fi

if [ -f ./wrtbwlog_cust.tgz ]; then
  rm wrtbwlog_cust.tgz 2> /dev/null
fi
